package atomfeed

import (
	"errors"
	"time"
)

type Date struct {
	*CommonAttributes
	DateTime string
}

func DateTime(t time.Time) string {
	return string(t.Format(time.RFC3339))
}

func NewDate(t time.Time) *Date {
	return &Date{DateTime: DateTime(t)}
}

func (d *Date) Check() error {
	if d.DateTime == "" {
		return errors.New("date time element of date is empty")
	}

	return nil
}
