package atomfeed

import "errors"

type InlineOtherContent struct {
	*CommonAttributes
	Type       MediaType `xml:"type,attr,omitempty"`
	AnyElement []*any    `xml:"anyelement,omitempty"`
}

func (i *InlineOtherContent) isContent() bool { return true }

func (i *InlineOtherContent) hasSRC() bool { return false }

func (i *InlineOtherContent) getType() string { return string(i.Type) }

func (i *InlineOtherContent) Check() error {
	if isCompositeMediaType(i.getType()) {
		return errors.New("type attribute of inline other content must not be a composite type")
	}

	return nil
}
